<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__crypto__lld__symmetric__functions" kind="group">
    <compoundname>group_crypto_lld_symmetric_functions</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__symmetric__functions_1gaea56d7bae9d75b93886094f248e26006" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Aes_Init</definition>
        <argsstring>(CRYPTO_Type *base, uint8_t const *key, cy_en_crypto_aes_key_length_t keyLength, cy_stc_crypto_aes_state_t *aesState)</argsstring>
        <name>Cy_Crypto_Core_Aes_Init</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>key</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__crypto__enums_1ga5402841d4798c0a82d41d8433c92b62f">cy_en_crypto_aes_key_length_t</ref></type>
          <declname>keyLength</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref> *</type>
          <declname>aesState</declname>
        </param>
        <briefdescription>
<para>Initializes AES mode of operation and prepares an inverse key. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>key</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the encryption/decryption key.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>keyLength</parametername>
</parameternamelist>
<parameterdescription>
<para><ref kindref="member" refid="group__group__crypto__enums_1ga5402841d4798c0a82d41d8433c92b62f">cy_en_crypto_aes_key_length_t</ref></para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>aesState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the AES state structure allocated by the user. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="128" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" bodystart="109" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" line="109" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__symmetric__functions_1gaf6931a6db295f623788108b994f88cab" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Aes_InitContext</definition>
        <argsstring>(CRYPTO_Type *base, uint8_t const *key, cy_en_crypto_aes_key_length_t keyLength, cy_stc_crypto_aes_state_t *aesState, cy_stc_crypto_aes_buffers_t *aesBuffers)</argsstring>
        <name>Cy_Crypto_Core_Aes_InitContext</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>key</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__crypto__enums_1ga5402841d4798c0a82d41d8433c92b62f">cy_en_crypto_aes_key_length_t</ref></type>
          <declname>keyLength</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref> *</type>
          <declname>aesState</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__aes__buffers__t">cy_stc_crypto_aes_buffers_t</ref> *</type>
          <declname>aesBuffers</declname>
        </param>
        <briefdescription>
<para>Initializes AES mode of operation and prepares an inverse key. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>key</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the encryption/decryption key.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>keyLength</parametername>
</parameternamelist>
<parameterdescription>
<para><ref kindref="member" refid="group__group__crypto__enums_1ga5402841d4798c0a82d41d8433c92b62f">cy_en_crypto_aes_key_length_t</ref></para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>aesState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the AES state structure allocated by the user. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>aesBuffers</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the memory buffers storage.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="174" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" bodystart="156" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" line="156" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__symmetric__functions_1ga6175ad8a73bb13bb2baea32c5e26239a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Aes_Free</definition>
        <argsstring>(CRYPTO_Type *base, cy_stc_crypto_aes_state_t *aesState)</argsstring>
        <name>Cy_Crypto_Core_Aes_Free</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref> *</type>
          <declname>aesState</declname>
        </param>
        <briefdescription>
<para>Clears AES operation context. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>aesState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the AES state structure allocated by the user. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="208" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" bodystart="193" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" line="193" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__symmetric__functions_1ga2b6e50fe58b6e41aa47b8a588808dc76" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Aes_Ecb</definition>
        <argsstring>(CRYPTO_Type *base, cy_en_crypto_dir_mode_t dirMode, uint8_t *dst, uint8_t const *src, cy_stc_crypto_aes_state_t *aesState)</argsstring>
        <name>Cy_Crypto_Core_Aes_Ecb</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref></type>
          <declname>dirMode</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>src</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref> *</type>
          <declname>aesState</declname>
        </param>
        <briefdescription>
<para>Performs the AES operation on a single block. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dirMode</parametername>
</parameternamelist>
<parameterdescription>
<para>Can be <ref kindref="member" refid="group__group__crypto__enums_1ggae040fb530d4d110976bedfcdb7c8f09ca4b95ef1e3f73771b0c6a376c6d43e16d">CY_CRYPTO_ENCRYPT</ref> or <ref kindref="member" refid="group__group__crypto__enums_1ggae040fb530d4d110976bedfcdb7c8f09cac7ccc0aa22f73054744e87593deb77fd">CY_CRYPTO_DECRYPT</ref> (<ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref>).</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination cipher block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the source block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>aesState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the AES state structure allocated by the user. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="255" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" bodystart="237" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" line="237" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__symmetric__functions_1ga3410c8e8bc02e192a2d9a371a00d2c4a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Aes_Cbc</definition>
        <argsstring>(CRYPTO_Type *base, cy_en_crypto_dir_mode_t dirMode, uint32_t srcSize, uint8_t *ivPtr, uint8_t *dst, uint8_t const *src, cy_stc_crypto_aes_state_t *aesState)</argsstring>
        <name>Cy_Crypto_Core_Aes_Cbc</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref></type>
          <declname>dirMode</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>ivPtr</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>src</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref> *</type>
          <declname>aesState</declname>
        </param>
        <briefdescription>
<para>Performs the AES-CBC operation defined in the dirMode parameter on a plain text defined in the src parameter. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dirMode</parametername>
</parameternamelist>
<parameterdescription>
<para>Can be <ref kindref="member" refid="group__group__crypto__enums_1ggae040fb530d4d110976bedfcdb7c8f09ca4b95ef1e3f73771b0c6a376c6d43e16d">CY_CRYPTO_ENCRYPT</ref> or <ref kindref="member" refid="group__group__crypto__enums_1ggae040fb530d4d110976bedfcdb7c8f09cac7ccc0aa22f73054744e87593deb77fd">CY_CRYPTO_DECRYPT</ref> (<ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref>)</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the source plain text.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>ivPtr</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the initial vector.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination cipher text.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the source plain text.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>aesState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the AES state structure allocated by the user. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="311" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" bodystart="291" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" line="291" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__symmetric__functions_1ga050212232c6625a29c2e91efac199841" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Aes_Cfb</definition>
        <argsstring>(CRYPTO_Type *base, cy_en_crypto_dir_mode_t dirMode, uint32_t srcSize, uint8_t *ivPtr, uint8_t *dst, uint8_t const *src, cy_stc_crypto_aes_state_t *aesState)</argsstring>
        <name>Cy_Crypto_Core_Aes_Cfb</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref></type>
          <declname>dirMode</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>ivPtr</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>src</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref> *</type>
          <declname>aesState</declname>
        </param>
        <briefdescription>
<para>Performs the AES-CFB operation defined in the dirMode parameter on a plain text defined in the SRC parameter. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dirMode</parametername>
</parameternamelist>
<parameterdescription>
<para>Can be <ref kindref="member" refid="group__group__crypto__enums_1ggae040fb530d4d110976bedfcdb7c8f09ca4b95ef1e3f73771b0c6a376c6d43e16d">CY_CRYPTO_ENCRYPT</ref> or <ref kindref="member" refid="group__group__crypto__enums_1ggae040fb530d4d110976bedfcdb7c8f09cac7ccc0aa22f73054744e87593deb77fd">CY_CRYPTO_DECRYPT</ref> (<ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref>)</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the source plain text.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>ivPtr</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the initial vector.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination cipher text.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the source plain text.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>aesState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the AES state structure allocated by the user. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="367" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" bodystart="347" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" line="347" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__symmetric__functions_1gac62e5c170a6f7d18d67d2c932449d87f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Aes_Ctr</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcSize, uint32_t *srcOffset, uint8_t *ivPtr, uint8_t *streamBlock, uint8_t *dst, uint8_t const *src, cy_stc_crypto_aes_state_t *aesState)</argsstring>
        <name>Cy_Crypto_Core_Aes_Ctr</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcSize</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>srcOffset</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>ivPtr</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>streamBlock</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>src</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__aes__state__t">cy_stc_crypto_aes_state_t</ref> *</type>
          <declname>aesState</declname>
        </param>
        <briefdescription>
<para>Performs the AES-CTR operation on a plain text defined in the src parameter. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the source plain text.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcOffset</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of an offset within the current block stream for resuming within the current cipher stream.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>ivPtr</parametername>
</parameternamelist>
<parameterdescription>
<para>The 128-bit initial vector that contains a 64-bit nonce and 64-bit counter.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>streamBlock</parametername>
</parameternamelist>
<parameterdescription>
<para>The saved stream-block for resuming. Is over-written by the function.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination cipher text.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the source plain text. Must be 4-Byte aligned.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>aesState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the AES state structure allocated by the user. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="426" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" bodystart="405" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_aes.h" line="405" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__symmetric__functions_1ga34af8cf89ed2ebfb51941dce5c7c43c4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Des</definition>
        <argsstring>(CRYPTO_Type *base, cy_en_crypto_dir_mode_t dirMode, uint8_t const *key, uint8_t *dst, uint8_t const *src)</argsstring>
        <name>Cy_Crypto_Core_Des</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref></type>
          <declname>dirMode</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>key</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>src</declname>
        </param>
        <briefdescription>
<para>Performs the DES operation on a single block. </para>        </briefdescription>
        <detaileddescription>
<para>All addresses must be 4-byte aligned. Ciphertext (dst) may overlap with plaintext (src). This function is independent from the previous Crypto state.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dirMode</parametername>
</parameternamelist>
<parameterdescription>
<para>Can be <ref kindref="member" refid="group__group__crypto__enums_1ggae040fb530d4d110976bedfcdb7c8f09ca4b95ef1e3f73771b0c6a376c6d43e16d">CY_CRYPTO_ENCRYPT</ref> or <ref kindref="member" refid="group__group__crypto__enums_1ggae040fb530d4d110976bedfcdb7c8f09cac7ccc0aa22f73054744e87593deb77fd">CY_CRYPTO_DECRYPT</ref> (<ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref>)</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>key</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the encryption/decryption key.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination cipher block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the source block.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="100" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_des.h" bodystart="82" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_des.h" line="82" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__symmetric__functions_1ga46e4f33120f1f9b5f1858da65917f267" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Tdes</definition>
        <argsstring>(CRYPTO_Type *base, cy_en_crypto_dir_mode_t dirMode, uint8_t const *key, uint8_t *dst, uint8_t const *src)</argsstring>
        <name>Cy_Crypto_Core_Tdes</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref></type>
          <declname>dirMode</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>key</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>src</declname>
        </param>
        <briefdescription>
<para>Performs the TDES operation on a single block. </para>        </briefdescription>
        <detaileddescription>
<para>All addresses must be 4-byte aligned. Ciphertext (dst) may overlap with plaintext (src). This function is independent from the previous Crypto state.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dirMode</parametername>
</parameternamelist>
<parameterdescription>
<para>Can be <ref kindref="member" refid="group__group__crypto__enums_1ggae040fb530d4d110976bedfcdb7c8f09ca4b95ef1e3f73771b0c6a376c6d43e16d">CY_CRYPTO_ENCRYPT</ref> or <ref kindref="member" refid="group__group__crypto__enums_1ggae040fb530d4d110976bedfcdb7c8f09cac7ccc0aa22f73054744e87593deb77fd">CY_CRYPTO_DECRYPT</ref> (<ref kindref="member" refid="group__group__crypto__enums_1gae040fb530d4d110976bedfcdb7c8f09c">cy_en_crypto_dir_mode_t</ref>)</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>key</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the encryption/decryption keys.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination cipher block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the source data block.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="148" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_des.h" bodystart="130" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_des.h" line="130" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>